Package it.ernytech.tdlib

## Class TdApi.UpdateChatReplyMarkup

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Update
    - - it.ernytech.tdlib.TdApi.UpdateChatReplyMarkup

Enclosing class:
  TdApi

    public static class TdApi.UpdateChatReplyMarkup
    extends TdApi.Update

The default chat reply markup was changed. Can occur because new messages with reply markup were received or because an old reply markup was hidden by the user.

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`long` `replyMarkupMessageId` Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

### Constructor Summary

Constructors
`UpdateChatReplyMarkup()` Default constructor.
`UpdateChatReplyMarkup​(long chatId, long replyMarkupMessageId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### replyMarkupMessageId

    public long replyMarkupMessageId

Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### UpdateChatReplyMarkup

    public UpdateChatReplyMarkup()

Default constructor.

#### UpdateChatReplyMarkup

    public UpdateChatReplyMarkup​(long chatId,
                                 long replyMarkupMessageId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `replyMarkupMessageId` - Identifier of the message from which reply markup needs to be used; 0 if there is no default custom reply markup in the chat.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR